USE [COWS]
GO
SET NOCOUNT ON
GO
ALTER TABLE dbo.ACT_TASK NOCHECK CONSTRAINT ALL 
GO
--ALTER TABLE arch.ACT_TASK NOCHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.LK_XNCI_MS NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.MAP_GRP_TASK NOCHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.WG_PROF_SM NOCHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.LK_TASK_RULE NOCHECK CONSTRAINT ALL 
GO
DELETE From LK_TASK
GO
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (0,'Start Task',0,0,1,GETDATE(),GETDATE(),'System task. Only for State machines and should never be visible in the GUI, unless there is a defect in the SM.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (1,'End Task',2,2,1,GETDATE(),GETDATE(),'System task. Only for State machines and should never be visible in the GUI, unless there is a defect in the SM.')

--GOMs
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (100,'GOM Pre-Submit Ready',100,100,1,GETDATE(),GETDATE(),'This is for GOM to review the Pre-Submit orders,. There is no flow in COWS after this for Pre-Submits.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (101,'GOM Error',101,101,1,GETDATE(),GETDATE(),'If there is NO H5 folder associated to the order, the order will go to GOM Error.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (102,'GOM Review',102,102,1,GETDATE(),GETDATE(),'This can be also termed as "GOM CPE Milestones pending". This is for GOM to enter the appropriate GOM fields for Intl CPE orders.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (103,'GOM Private Line',104,104,1,GETDATE(),GETDATE(),'This is for GOM to enter Private line info in the Enterprise Systems.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (105,'GOM Submit Ready',104,104,1,GETDATE(),GETDATE(),'When the Sales Support (SS) team Submits an IPL order, this task is for GOM to review the IPL order.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (106,'GOM CCD Ready',106,106,1,GETDATE(),GETDATE(),'This task is for GOM to review the change in CCD, once the SS team created a Changed CCD request.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (107,'GOM CCD Private Line',104,104,1,GETDATE(),GETDATE(),'This is for GOM to re-key the Private line info once a Changed CCD occurs.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (108,'GOM Cancel Ready',107,107,1,GETDATE(),GETDATE(),'This task is for GOM to review the parent order, for which a Cancel has been issued.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (109,'GOM Missing Billing Orders',107,107,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (110,'GOM Initiate Billing Order',107,107,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (111,'GOM NCCO Error Notification',107,107,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (112,'GOM IPL+IP ASR',0,0,1,GETDATE(),GETDATE(),NULL)


--xNCI
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (200,'xNCI Order Validated Date',150,150,1,GETDATE(),GETDATE(),'This is for xNCI to enter the Order Validate MileStone (MS) info.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (201,'xNCI Order Sent to Vendor Date',151,151,1,GETDATE(),GETDATE(),'This is a systematic task that will be completed, once a Vendor Email is sent out. This task is to finish up their xNCI Sent to Vendor MS.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (202,'xNCI Order Acknowledged by Vendor Date',152,152,1,GETDATE(),GETDATE(),'This task is for xNCI to load the Email ACK date from the Vendor.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (203,'xNCI Target Delivery Date',0,0,1,GETDATE(),GETDATE(),'This is for xNCI to enter the Target Deleivery Date MS.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (204,'xNCI Target Delivery Date Recieved Date',0,0,1,GETDATE(),GETDATE(),'This is for xNCI to enter the Target Deleivery Date Received Date MS.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (205,'xNCI Access Delivery Date',153,153,1,GETDATE(),GETDATE(),'This is for xNCI to enter the Access Deleivery Date MS.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (206,'xNCI Access Accepted Date',154,154,1,GETDATE(),GETDATE(),'This is for xNCI to enter the Access Accepted Date MS.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (207,'Bill Clear',155,155,1,GETDATE(),GETDATE(),'This is a systematic task that will be completed, when NRM populates the Bill Clear Date.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (208,'xNCI Hold',156,156,1,GETDATE(),GETDATE(),'This will allow the xNCI User to put the order On-Hold. Not driven by State Machine.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (209,'xNCI Release',157,157,1,GETDATE(),GETDATE(),'This will allow the xNCI User to release the order from On-Hold. Not driven by State Machine.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (210,'xNCI Ready',0,0,1,GETDATE(),GETDATE(),'This is the xNCI Users to review the IPL Order.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (211,'xNCI CCD Ready',158,158,1,GETDATE(),GETDATE(),'This is for xNCI Users to review the CCD Change Request.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (212,'xNCI Cancel Ready',159,159,1,GETDATE(),GETDATE(),'This is for xNCI to review and complete the Parent FTN after the Cancel is received.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (213,'xNCI Close Date',159,159,1,GETDATE(),GETDATE(),'This is for xNCI User to complete the Edits and all MS.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (214,'xNCI Vendor Confirm Disconnect Date',159,159,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (215,'xNCI Disconnect Completed Date',159,159,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (216,'xNCI Confirmed Renewal Date',159,159,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (217,'xNCI ACR Initiated by Sales Support',159,159,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (218,'xNCI ACR Response Received',159,159,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (219,'xNCI RTS Response Received',159,159,1,GETDATE(),GETDATE(),NULL)
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (220,'xNCI Milestones Complete',159,159,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (221,'xNCI Order Install Date',159,159,1,GETDATE(),GETDATE(),NULL)
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (222,'xNCI Activation Date',0,0,1,GETDATE(),GETDATE(),NULL)


--MDS 
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (300,'New Order Review',180,180,1,GETDATE(),GETDATE(),'This is for MDS to review the Order and create Events or moves to RTS accordingly.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (301,'Review',181,181,1,GETDATE(),GETDATE(),'This is for MDS to review the Order after it is moved back from RTS.')

--CSC
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (400,'Smart Maintenance',200,200,1,GETDATE(),GETDATE(),'This is for CSC to load some Dates and review the orders.')

--SS
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (500,'SS RTS Pending',210,210,1,GETDATE(),GETDATE(),'This is for Sales Support team to review and correct the order accordingly.')

--DCPE
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (600,'Equip Review',0,0,1,GETDATE(),GETDATE(),'Appian CPE Equipment Review Step.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (601,'Matl Req',0,0,1,GETDATE(),GETDATE(),'Appian CPE Matl Req Step.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (602,'Equip Receipt',0,0,1,GETDATE(),GETDATE(),'Appian CPE Equip Receipt Status.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (603,'CPE Hold',0,0,1,GETDATE(),GETDATE(),'Appian CPE Activation Status.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (604,'CPE Tech Assign',0,0,1,GETDATE(),GETDATE(),'Appian CPE Tech Assign.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (604,'Act Ready',0,0,1,GETDATE(),GETDATE(),'Appian RTS Hold Status.')


-- Domestic BroadBand  DBB

INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (650,'DBB Order Validated Date',0,0,1,GETDATE(),GETDATE(),'This is for DBB to enter the Order Validate MileStone (MS) info.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (651,'DBB Order Sent to Vendor Date',0,0,1,GETDATE(),GETDATE(),'This is a systematic task that will be completed, once a Vendor Email is sent out. This task is to finish up their DBB Sent to Vendor MS.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (652,'DBB Order Acknowledged by Vendor Date',0,0,1,GETDATE(),GETDATE(),'This task is for DBB to load the Email ACK date from the Vendor.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (653,'DBB Target Delivery Date',0,0,1,GETDATE(),GETDATE(),'This is for DBB to enter the Target Deleivery Date MS.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (654,'DBB Target Delivery Date Recieved Date',0,0,1,GETDATE(),GETDATE(),'This is for DBB to enter the Target Deleivery Date Received Date MS.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (655,'DBB Access Delivery Date',0,0,1,GETDATE(),GETDATE(),'This is for DBB to enter the Access Deleivery Date MS.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (656,'DBB Access Accepted Date',0,0,1,GETDATE(),GETDATE(),'This is for DBB to enter the Access Accepted Date MS.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (657,'Bill Clear',0,0,1,GETDATE(),GETDATE(),'This is a systematic task that will be completed, when NRM populates the Bill Clear Date.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (658,'DBB Hold',0,0,1,GETDATE(),GETDATE(),'This will allow the DBB User to put the order On-Hold. Not driven by State Machine.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (659,'DBB Release',0,0,1,GETDATE(),GETDATE(),'This will allow the DBB User to release the order from On-Hold. Not driven by State Machine.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (660,'DBB CCD Ready',0,0,1,GETDATE(),GETDATE(),'This is for DBB Users to review the CCD Change Request.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (661,'DBB Cancel Ready',0,0,1,GETDATE(),GETDATE(),'This is for DBB to review and complete the Parent FTN after the Cancel is received.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (662,'DBB Close Date',0,15901,GETDATE(),GETDATE(),'This is for DBB User to complete the Edits and all MS.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (663,'DBB Vendor Confirm Disconnect Date',0,0,1,GETDATE(),GETDATE(),NULL)
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (664,'DBB Disconnect Completed Date',0,0,1,GETDATE(),GETDATE(),NULL)
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (665,'DBB Confirmed Renewal Date',0,0,1,GETDATE(),GETDATE(),NULL)
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (666,'DBB ACR Initiated by Sales Support',0,0,1,GETDATE(),GETDATE(),NULL)
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (667,'DBB ACR Response Received',0,0,1,GETDATE(),GETDATE(),NULL)
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (668,'DBB RTS Response Received',0,0,1,GETDATE(),GETDATE(),NULL)
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (669,'DBB Milestones Complete',0,0,1,GETDATE(),GETDATE(),NULL)
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (670,'DBB Order Install Date',0,0,1,GETDATE(),GETDATE(),NULL)
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (671,'DBB Activation Date',0,0,1,GETDATE(),GETDATE(),NULL)



--System

INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (104,'NRM: Pending OE & PL',0,0,1,GETDATE(),GETDATE(),'It is a System task that looks for NRM statuses, and sees if it is in NRM Pending or OE.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (1000,'Bill Activation Ready',2,2,1,GETDATE(),GETDATE(),'This is loaded when the orders are ready to be completed and a Complete Message is ready to be sent to FSA. However this happens only on the CCD.')
INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (1001,'Bill Activated',2,2,1,GETDATE(),GETDATE(),'This is the final stage when a completed Message is sent to FSA.')
--INSERT INTO LK_TASK (TASK_ID,TASK_NME,ORDR_STUS_ID,WG_STUS_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,TASK_DES) VALUES (1002,'RTS-Hold',0,0,1,GETDATE(),GETDATE(),'This is the hold status within system workgroup, would be used as an intermediate step before resolution.')


GO
ALTER TABLE dbo.ACT_TASK CHECK CONSTRAINT ALL 
GO
--ALTER TABLE arch.ACT_TASK CHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.MAP_GRP_TASK CHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.WG_PROF_SM CHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.LK_XNCI_MS NOCHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.LK_TASK_RULE CHECK CONSTRAINT ALL 
GO
